# Uses of Enum
org.eclipse.mat.ui.internal.query.arguments.CheckBoxEditor.Type

Packages that use CheckBoxEditor.Type
Package
Description
org.eclipse.mat.ui.internal.query.arguments
Allows a user to specify arguments for a query - user interface (not API).

## Uses of CheckBoxEditor.Type in org.eclipse.mat.ui.internal.query.arguments

Methods in org.eclipse.mat.ui.internal.query.arguments that return CheckBoxEditor.Type
Modifier and Type
Method
Description
`CheckBoxEditor.Type`
CheckBoxEditor.`getType()`
`static CheckBoxEditor.Type`
CheckBoxEditor.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CheckBoxEditor.Type[]`
CheckBoxEditor.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.eclipse.mat.ui.internal.query.arguments with parameters of type CheckBoxEditor.Type
Modifier
Constructor
Description
``
`CheckBoxEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, CheckBoxEditor.Type type)`